<!DOCTYPE html>
<html lang="en">
  {% load markdownify %}
  <head>
    <title>Detail</title>
  </head>
  <body>
    <header><nav><ul>
      {% if user.is_authenticated %}
      <li> <a href="{% url "show_my_tasks" %}">My Tasks</a></li>
      <li><a href="{% url "list_projects" %}">My Projectss</a></li>
      <li><a href="{% url "logout" %}">Logout</a></li>
      {% else %}
      <li><a href="{% url "login" %}">Login</a></li>
      <li><a href="{% url "signup" %}">Signup</a></li>
      {% endif %}
    </ul></nav></header>
    <main>
      <div>
        <h1>{{ project_details.name }}</h1>
        {{ project_details.description|markdownify }}
        <h2>Tasks</h2>
        <a href="{% url 'create_task' %}">Create a new task</a>
        {% if project_details.tasks.all %}
        <table>
          <thead>
            <tr>
              <th>Name</th>
              <th>Assignee</th>
              <th>Start date</th>
              <th>Due date</th>
              <th>Is completed</th>
            </tr>
          </thead>
          {% for task in project_details.tasks.all %}
          <tr>
            <td>{{ task.name }}</td>
            <td>{{ task.assignee }}</td>
            <td>{{ task.start_date }}</td>
            <td>{{ task.due_date }}</td>
            <td>{{ task.is_completed }}</td>
          </tr>
          {% endfor %}
        </table>
        {% else %}
        <p>This project has no tasks.</p>
        {% endif %}
      </div>
    </main>
  </body>
</html>
